DUNE(1)

NAME
dune - graphical vrml97 editor and animation tool

SYNOPSIS
dune [ stereoviewoptions ] [ inputdeviceoptions [ axisoptions ] ] [ file.wrl ] [ file.xml ] ...

DESCRIPTION
dune is a graphical editor for the Virtual Reality Modeling Language (VRML97), ISO/IEC 14772-1:1997. Additionally it has support for the NurbsSurface Node described in VRML97 Amendment 1 Final Draft. It also can load vrml97 level X3D .xml files, if configured to use the NIST vrml97/x3d translators. Dune has some basic support for stereographic view usually with shutterglases in OpenGL "quadbuffer" mode.

STEREOVIEWOPTIONS

-nostereo
    force non stereoview mode

-eyedist eyedistinmeter
    Distance between the two eyes of the viewer. Default eyedistinmeter is 0.06, it can be negative to swap eyes (no need to reconfigure your hardware if eye swapping problems occure).

-screendist screendistinmeter
    Distance between the eyes of the viewer and the mid of the monitor screen. Default screendistinmeter is 0.8.

INPUTDEVICEOPTIONS
The following options are only valid, if dune was compiled with matching inputdevice driver support (e.g. there is not support for a Linux joystick under IRIX).

-joystick joystickdevice
    Only valid under Linux or M$Windows. Under Linux, joystickdevice is the device of Linux joystick (usually something like /dev/input/js0 or /dev/js0). Under M$Windows, the joystickdevice is a number. Depending from the M#Windows version, this number is either 0, 1 or a number from 0 to 15.

-spaceball spaceballdevice
    spaceballdevice is the serial device connected to the spaceball (usually something like /dev/ttyd2 or /dev/ttyS0). Only valid if binary was compiled with libsball support.

-xinput xinputname
    xinputname is the devicename supported by the Xinput Protocol (usually something like magellan or dialbox). Valid on most Unix/X11 implementations.

-aflock aflockdevice  [ aflockoptions ]  -tracker birdaddr -wand birdaddr
    aflockdevice is the serial device connected to the Ascension Flock of Birds master transmitter (usually something like /dev/ttyd2 or /dev/ttyS0). Only valid if binary was configured/compiled with --with-aflock option. Dune assumes the following configuration: Multiple FOBs with single RS232 Interface to Host Computer (see "The flock of Birds, Installation and Operation Guide, Standalone and Multiple Transmitter/Multiple Sensors Configurations", Page 3 (chapter "Introduction"), Figure 2). birdaddr is the adress of the Bird Unit of the magnetic head tracker (-tracker) or "3D Mouse" (-wand) in the Fast Bird Bus (FBB adress) as configured with the dipswitches on the Bird Unit. This program need to have the Flock of Birds configured in the Normal Address Mode only (see Page 12, Figure 4 of the manual decribed above).

-sendalways
    Tell dune the device sends (almost) always values (do not switch to other VRML nodes to make sense of inputvalues). Automatically used for Ascension Flock of Birds device (-aflock).

-headnavigation
    Use current transformmode when using a headtracker. Default without this option is using only the translation mode. This default gives you a very natural reaction, when your head moves, the virtual world moves, but if your head only rotates, the virtual world stand still. With the headnavigation option, the virtual world reacts to head rotations, depending of the current transform mode. Be carefull when you use this feature while talking to a audience. Talking cause small and fast head rotations and will cause small and fast rotations of the virtual world. Your audience may get a impression like in a earthquake and is in danger to get motion sickness.

AXISOPTIONS

-x|-y|-z|-xrot|-yrot|-zrot=[-][integer_axisnumber][,[factor][,[accel][,[wheel][,ignore]]]]

-all|-allxyz|-allrot=[factor][,[accel][,[wheel][,ignore]]]

-none=integer_axisnumber

-axes=max_number_axes

AXISLEGEND

-   used to swap sign of value from axis

integer_axisnumber
    Integer with the number of the axis, that should be used for the x y z xrot yrot zrot directions. This number may not be greater than the number of axes of the inputdevice. The integer_axisnumber in the none option is used to disable this axis.

factor
    Float with a multiplicator for the axes The factors of the all, allrot and allxyz options are independend of the factors of the single axes.

accel
    Float with a expotential accelerator for the axes

wheel
    The string "wheel"
      wheel means this axis of the inputdevice will not deliver zero
      if released

ignore
    Float with the value (relative to the maximal value from the device) which will be ignored (insensitivity)

max_number_axes
    Number of used axes, one of (2,3,4,5)
      This must be equal or less to the physical available
      axes of a device. Main usage of this option is to disable
      bad designed or mechanical defect axes e.g. when you wish,
      this axis on a joystick would not exist

AFLOCKOPTIONS
This options are only valid for the Ascension flock of birds magnetic tracking system.

-baud baudrate
    Baudrate of the serial line communicating with the transmitter. Default: 38400

-numbirds numberbirds
    Number of "data delivering" birds attached to the transmitter (e.g. not counting the transmitter itself, if it is a Extended Range Controller (ERC)). Default: 2 (tracker and wand).

-master birdaddr
    Adress of the master transmitter in the Fast Bird Bus (FBB adress) as configured with the dipswitches on the transmitter unit. Default: 1

-hemisphere FRONT_HEM|AFT_HEM|UPPER_HEM|LOWER_HEM|LEFT_HEM|RIGHT_HEM
    Hemisphere used. Sit on the antenna block (with the legs near on the side of the text) to see, what is left or right 8-) Default: RIGHT_HEM

-sync 0|1
    Synchronise (1) or not (0) data output to a CRT (Monitor) or your host computer. Synchronisation is used to elimiate magnetic effects of a Monitor using the CRT sync cable. Default: 0

-block 0|1
    Set (1) or do not set (0) the FNDELAY flag to the filedescriptor of the serial port. Default: 0

-filter AC_NARROW | AC_WIDE | DC_FILTER
    Enable different filters. Read the Flock of Birds manuals for more information. This option can be repeated to use multiple filters. Default: no filter set, using filter set by Flock autoconfiguration.

-suddenchangelock 0|1
    Allow (0) or disallow (1) setting of messured position and orientation when a sudden large messurement occure. Default: 1

-calfile calibrationfile
    Use a VR Juggler style file to calibrate position messurement.

MOUSE/KEYS
In the 3D view, dune support the following mouse / keyboard commands:

Mouse Button 1 click/drag:
    This is used for normal operations: select things, drag things around

Mouse Button 2 click:
    Temporary switch stereo mode off (useful to target small things)

CTRL-Mouse Button 1 drag:
    Virtual trackball Navigation

SHIFT-Mouse Button 1 drag:
    Forward/backward Navigation

ALT-Mouse Button 1 drag: (SGI style)
    Virtual trackball Navigation

ALT-Mouse Button 2 drag: (SGI style)
    up/down/left/right Navigation

ALT-Mouse Button 1+2 drag: (SGI style)
    forward/backward Navigation

Navigation icon pressed-Mouse Button 1 drag:
    Virtual trackball Navigation

Navigation icon pressed-Mouse Button 2 drag: (not SGI style)
    forward/backward Navigation

Navigation icon-Mouse Button 1+2 drag: (not SGI style)
    up/down/left/right Navigation

s:
    Temporary switch stereo mode off (useful to target small things)

In the route view, dune support the following mouse / keyboard commands:

Mouse Button 1 click to fieldname of a node and drag to matching fieldname:
    create a ROUTE connection

Mouse Button 1 click to nothing and drag:
    cut a ROUTE connection

Mouse Button 1 click to a node and drag:
    move node in the route view

Mouse Button 1 click to a node, hold Mouse Button1, pressing Page Up/Down key
    move node in the route view by one page (works only on correct motif/lesstif implementations)

Information about other keyboard usage can be found in the toolbar.

Tips how to use dune can be found in the docs directory of dune
    (same as http://www.csv.ica.uni-stuttgart.de/vrml/dune/docs/)

EXAMPLES

dune -nostereo
    start dune this way, if you have a stereo capable visual, but no shutterglases or other shutterbased technology.

dune -xinput magellan -allxyz=10,100,,0.0000002 -xinput dialbox-1 -x=0 -y=2 -z=4 -xrot=1 -yrot=3 -zrot=5 -all=1000,,wheel
    starts dune with a magellan xinputdevice with factor 10, acceleration 100 and a ignore value of 0.0000002 on the xyz axes and a dialbox device with
    x axis = 0. axis
    y axis = 2. axis
    z axis = 4. axis
    rotation around x axis = 1. axis
    rotation around y axis = 3. axis
    rotation around y axis = 5. axis
    all axes use factor 1000 and all to not deliver zero if released

dune -joystick /dev/input/js0 -z=,3 -axes=3
    starts dune with a linux joystick, set acceleration of the z axis to 3 and disables the 4. (5., 6., ...) axis.

dune -xinput magellan -all=100,,wheel -z=3 -xrot=2 -none=2
    starts dune with a xinput/magellan device, swapping axis number 2 and axis number 3, with axis number 2 disabled.

dune -aflock /dev/ttyS1 -numbirds 2 -master 1 -wand 2 -tracker 3
    starts dune with a Ascension Flock of Birds, master transmitter ( a Extended Range Controller (ERC)) at FBB adress 1 connected to the serial device /dev/ttyS1. Use 2 Birds, one attached to a "3D Mouse" device at FBB adress 2 and one attached to a head tracking device at FBB adress 3.

FILES
$HOME/.dunerc
stores details of dunes screen layout and some other information
$HOME/.dune_crash_*_*.wrl
stores the vrml file in case of a crash

ENVIRONMENT
Dune can be compiled to include all informations necessary to call the nist.gov x3dtranslators statically in the binary. Otherwise the following environment variables are used: JAVA_PATH (e.g. /something_like/usr/java/bin/java)

SAXON_FILE (e.g. saxon.jar)

SAXON_PATH (e.g. /something_like/usr/local/src/x3d2vrml/saxon)

X3DV2_FILE (e.g. x3dv2.jar)

X3DV2_PATH (e.g. /something_like/usr/local/src/x3dv2)

V2X3D_FILE (e.g. Vrml97ToX3dNist.jar)

X3DV2_PATH (e.g. /something_like/usr/local/src/v2x3d)

COPYRIGHT
    Dune, graphical vrml97 editor and animation tool
    Copyright (C) 2000-2002 Stephen F. White and others
    This program is free software; you can redistribute it
    and/or modify it under the terms of the
    GNU General Public License
    as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later
    version.

BUGS
Dune need valid vrml97 code to work, it can not load a invalid VRML97 file.
Currently the NIST.gov X3D translators fail to produce valid VRML97 code for some rare used nodes like VisibilitySensor or Collision. To avoid dataloss, the temporary .wrl files are kept in /tmp
dune is software in development, expect bugs. Unsuccessful crashes should be rare, successfully crashes allow to get back the data. (see "EXIT STATUS"). Currently not all VRML97 nodes are displayed (e.g. background, extrusion) or displayed correctly (e.g. text, viewpoint).
Please send bugmessages to http://sourceforge.net/tracker/?group_id=3356&atid=103356

DIAGNOSTICS
Exit status is 0 for successfull operation, 1 if inputfile can not be successfully read or other initialisation error, 2 in case of a X11 server crash.

EXIT STATUS
In case of a crash (e.g. X11 server crash or signal (coredump) in case of a internal error), dune tries to write it's contence to the file $HOME/.dune_crash_*_*.wrl

SEE ALSO
v2x3d(1), x3dv2(1), vrwave(1), FreeWRL(1), lookat(1), cc3d(1), xj3d(1), cosmoplayer(1), cosmoworlds(1), wings3d(1)

VRML97 International Standard
    http://web3d.org/technicalinfo/specifications/vrml97/index.htm

VRML97 Amendment 1:Final Proposed Draft Amendment
    http://web3d.org/technicalinfo/specifications/vrml97am1/fpdam2/

X3D Draft
    http://www.web3d.org/TaskGroups/x3d/specification-2001october/main.html

NIST vrml97/x3d translators
    http://ovrt.nist.gov/v2_x3d.html

AUTHORS
Stephen F. White and others
See README file for details